<?php

  include 'koneksi.php';
 // Secret Key ini kita ambil dari halaman Google reCaptcha
 $secret_key = "6Le9bt4iAAAAAJM2TNFnbpBY_L3uHLL3YIKi97vP";
 
 // Disini kita akan melakukan komunkasi dengan google recpatcha
 $verify = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$secret_key.'&response='.$_POST['g-recaptcha-response']);
 $response = json_decode($verify);
 
 if($response->success){ 
// cek apakah tombol daftar sudah diklik atau blum 
if(isset($_POST['daftar'])){

    // ambil data dari formulir kontak pesan
    $nama = $_POST['nama'];
    $email = $_POST['email'];
    $no_hp = $_POST['no_hp'];
    $message = $_POST['message'];
    $tgl_pesan = $_POST['tgl_pesan'];
  
    // buat query
     $sql="INSERT INTO tb_kontak SET nama='$nama', email='$email',no_hp='$no_hp', message='$message', tgl_pesan='$tgl_pesan'";
    // $sql1="INSERT INTO tb_kontak (nama, email, no_hp, message, tgl_pesan) VALUES ('$nama', '$email', '$no_hp', '$message', '$tgl_pesan')";
    $query = mysqli_query($conn, $sql);

    // apakah query simpan berhasil
    if( $query ) {
        // kalau berhasil alihkan ke halaman index.php dengan status=sukses
  echo ("<script LANGUAGE='JavaScript'>
    window.alert('Pesan Berhasil Dikirim');
    window.location.href='index.php';
    </script>");
    
    } else {
        // kalau gagal alihkan ke halaman indek.php dengan status=gagal
         window.alert('Pesan Gagal');
        header('Location:index.php#kontak');
    }


} else {
echo '<script>alert("GAGAl")</script>';

}
     
 }else{ // Jika captcha tidak valid
	echo '<script>alert("Captha Tidak Valid.! Silahkan coba lagi..");window.location.replace("index.php#kontak");</script>';
}

